/********* CSS RESETS **********/

img {
	max-width:100%;
}

h1, h2, h3, p, ul, ol {
	margin: 0;
	padding: 0;
}

/********* End CSS Reset *********/

body {
  background-color: #10171D;
	color:#ebebeb;
  font-family: 'roboto', sans-serif;
  font-weight: lighter;
  line-height: 22px;
}

#container {
  padding: 40px;
/*   max-width: 960px;
  margin: 0 auto; */
}

ul li {
  list-style-type: none;

}

a {
  text-decoration: none;
  color: #ebebeb ;
}

a:hover {
  color: #E8A524;
}

.btn-hero {
  background-color: #E8A524;
  border-radius: 30px;
  border-style: none;
  width: 160px;
  height: 45px;
  font-family: 'Manjari', sans-serif;
  font-size: 1.2rem;
  font-weight: bold;
}

.btn-itunes {
  background-color: #E8A524;
  border-radius: 30px;
  border-style: none;
  width: 100px;
  height: 40px;
  font-family: 'Manjari', sans-serif;
  font-size: 1rem;
  font-weight: bold;
  justify-content: flex-end;
  margin-top: 15px;
  margin-bottom: 30px;
}

.btn {
  margin: auto;
  font-size: .9rem;
  background-color: #E8A524;
  color: #10171D;
  border-radius: 30px;
  height: 40px;
  padding: 0 20px 0 20px;
  font-weight: bold;
  border-style: none;
  justify-content: center;
}



/****************** Header******************/

header {
  background-image: url("Images/keagan-henman-qS7H4QV18Y4-unsplash.jpg");
  background-position: left;
  background-repeat: no-repeat;
  background-size: cover;
/*   position: relative; */
  height: 700px;
}

.menu {
  padding-top: 20px;
  padding-bottom: 10px;
  position: relative;
  background-color:#10171daf;
  border-bottom: 3px solid #E8A524;
}

.logo {
  font-family: 'Manjari', sans-serif;
  font-size: 1.3rem;
  font-weight: 700px;
  letter-spacing: 1px;
  margin-left: 40px;
}

.menu nav img {
  position: absolute;
  top: 10px;
  right: 40px;
  filter: invert();
}

.menu nav ul {
  position: absolute;
  right: 5000px;
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 500px;
}


.hero-text {
  text-align: left;
  position: absolute;
  top: 35%;
  left: 50px;
}

h1 {
  font-family: 'Mansalva', sans-serif ;
  font-size: 4.5rem;
  margin-right:40px;
  color: #10171D;
  margin-bottom: 30px;
  line-height: 80px;
}



/****************** Music Videos ********************/

h2 {
  font-family: 'Manjari', sans-serif ;
  font-size: 2rem;
  letter-spacing: 1px;
  margin-bottom: 20px;
}

h3 {
  font-family: 'Manjari', sans-serif ;
  font-size: 1.3rem;
  font-weight: 500;
  letter-spacing: 1px;
}

.music-videos {
/* display: flex;
justify-content: space-between; */
margin-bottom: 50px;
position: relative;
}

.music-videos img {
/*   width: 250px;
  height: 250px; */
  margin-bottom: 15px;
  border-radius: 20px;
  filter: drop-shadow(2px 2px 10px #7ed9d02a);
}

/* .fa fa-play {
  position: absolute;
  filter: drop-shadow(5px 5px 30px #10171D);
} */

.slider-1 {
  width: 100%;
  overflow: hidden;
  padding-left: 40px;
  position: relative;
}

.slides-1 {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide-1 {
  flex: 0 0 60%; /* 100% of the container width, adjust as needed */
  padding: 20px;
  box-sizing: border-box;

}

.prev-1, .next-1 {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -70px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.prev-1 {
  left: 0;
}

.next-1 {
  right: 40px;
  border-radius: 3px 0 0 3px;
}



/****************** Best Tracks ********************/

form {
  display: flex;
  margin-top: 20px;
  margin-bottom: 30px;
  font-size: 1rem;
  color: #e8a3247c;
}

input[type=text] {
  background-color: #10171D;
  color: #ffffff;
  font-weight: lighter;
  border: 1px solid #ffffff;
  border-radius: 30px;
  height: 40px;
  padding: 0 20px 0 20px;
  
}

input[type=submit] {
  font-size: .9rem;
  background-color: #E8A524;
  color: #10171D;
  border-radius: 30px;
  height: 40px;
  padding: 0 20px 0 20px;
  border-style: none;
  margin-left: 10px;
  font-weight: bold;
}

.best-tracks {
  margin-bottom: 80px;
}
.chart-wrap{
  width: 100%;
  height: 120px;
  font-family:'Roboto', sans-serif;
  margin-bottom: 15px;
  .title {
    text-align: center; 
  }
}

.grid{
  width:80%;
  height:100%;
  font-size: .9rem;
  display:flex;
  margin-bottom: 10px;
  flex-direction:column;
  justify-content:center;
  background:repeating-linear-gradient(0deg,transparent,transparent 19.5%,fadeout(@grid-color,30%) 20%);
  
  .bar {
    background-color:#7ED9D0;
    height:10px;
    align-self:flex-end;
    margin:20px auto;
    border-radius:5px;
    position:relative;
    
    &.bar:hover{
      opacity:0.7;
    }
    
    &::before{
      content:attr(data-name1);
      top:10px;
      padding:10px;
      color: #10171D;
    }

    &::after{
      content:attr(data-name);
      top:10px;
      padding:10px;
      /* display:block; */
/*       white-space:nowrap; */
/*       position:absolute; */
/*       transform:rotate(-45deg); */
    }
  }

  .bar-blur {
    margin-top: 10px;
    filter: blur(5px);
    height: 20px;
    width: 200px;
    border-radius: 20px;
    background-color: #7ED9D0;
  }
  
  &.horizontal{
  background:repeating-linear-gradient(90deg,transparent,transparent 19.5%,fadeout(@grid-color,30%) 20%);
    .bar{
      height:22px;
      font-weight: 500;
      width: var(--bar-value);
      align-self:flex-start;
      margin:auto 0 auto 0;
      border-radius:30px ;
      padding: 0 10px;
      
      &::after{
        top:initial;
        left:100%;
        padding:0 10px;
        display:inline;

        position:absolute;
      }      
    }
  }
}


/****************** Your Stories ********************/
.your-stories {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
  align-items: center;
}

.your-stories img {
  height: 100px;
  width: 100px;
  border-radius: 100px;
  border: 4px solid #7ED9D0;
}

h4 {
  font-size: .8rem;
}

.slider-2 {
  width: 100%;
  overflow: hidden;
  padding-left: 40px;
  position: relative;
}

.slides-2 {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide-2 {
  flex: 0 0 50%; /* 100% of the container width, adjust as needed */
  padding: 20px;
  box-sizing: border-box;

}

.prev-2, .next-2 {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -50px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.prev-2 {
  left: 0;
}

.next-2 {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/****************** Behind the Scene ********************/

.behind-scene {
margin-bottom: 80px;
}

.behind-scene img {
  position: relative;
  width: 250px;
  height: 250px;
  margin-bottom: 15px;
  border-radius: 20px;
  filter: drop-shadow(2px 2px 10px #7ed9d02a);
} 


/* .fa fa-play {
  position: absolute;
  bottom: 100px;
  left: 100px;
  filter: drop-shadow(20px 20px 30px #10171D);
} */

.slider-3 {
  width: 100%;
  overflow: hidden;
  padding-left: 40px;
  position: relative;
}

.slides-3 {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide-3 {
  flex: 0 0 60%; /* 100% of the container width, adjust as needed */
  padding: 20px;
  box-sizing: border-box;

}

.prev-3, .next-3 {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.prev-3 {
  left: 0;
}

.next-3 {
  right: 40px;
  border-radius: 3px 0 0 3px;
}


/****************** Previous Albums ********************/

.previous-albums {
  margin-bottom: 80px;
  }
  
.previous-albums img {
  position: relative;
  width: auto;
  height: 300px;
  margin-bottom: 15px;
  border-radius: 20px;
  filter: drop-shadow(2px 2px 10px #7ed9d02a);
}

.slider-4 {
  width: 100%;
  overflow: hidden;
  padding-left: 40px;
  position: relative;
}

.slides-4 {
  display: flex;
  transition: transform 0.5s ease-in-out;

}

.slide-4 {
  flex: 0 0 50%; /* 100% of the container width, adjust as needed */
  padding: 20px;
  box-sizing: border-box;

}

.prev-4, .next-4 {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -70px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.prev-4 {
  left: 0;
}

.next-4 {
  right: 40px;
  border-radius: 3px 0 0 3px;
}


  /********************** Footer ***********************/

  .pagefooter {
    padding: 40px 40px 50px 40px;
    background-color: #000000;
  }


  .pagefooter nav ul {
    padding-top: 10px;
  }
  
  .pagefooter nav ul li {
    font-size: .8rem;
    letter-spacing: 1px;
  
  }
  
  .pagefooter nav ul li a {
    display: block;
    font-family: 'Manjari', sans-serif;
    font-weight: 400;
  }
  

  .pagefooter form {
    display: flex;
    margin-top: 20px;
    margin-bottom: 30px;
    font-size: .8rem;
    color: #7ed9d0c2;
  }
  
  .pagefooter input[type=text] {
    background-color: #10171D;
    color: #7ed9d0c2;
    font-weight: lighter;
    border: 1px solid #7ed9d0c2;
    border-radius: 30px;
    height: 35px;
    padding: 0 20px 0 20px;
    
  }
  
  .pagefooter input[type=submit] {
    font-size: .8rem;
    background-color: #7ed9d0c2;
    color: #10171D;
    border-radius: 30px;
    height: 35px;
    padding: 0 20px 0 20px;
    border-style: none;
    margin-left: 10px;
    font-weight: bold;
  }

  .social {
    display: flex;
    justify-content:flex-start;
    gap: 10px;
  }

  /**************************** Responsive Design ***************************/


@media only screen and (min-width: 700px) {


  .slide-1 {
    flex: 0 0 40%; /* 50% of the container width for screens wider than 600px */
}

.slide-2 {
  flex: 0 0 20%; /* 50% of the container width for screens wider than 600px */
}

.slide-3 {
  flex: 0 0 40%; /* 50% of the container width for screens wider than 600px */
}

.slide-3 {
  flex: 0 0 30%; /* 50% of the container width for screens wider than 600px */
}

  .menu nav img {
    right: 4000px;
  }

  .menu nav ul{
    top: 20px;
    left: 250px;
    display: flex;
    flex-direction: row;
    width: 500px;
  }
  
  .menu nav ul li {
    padding-right: 40px;
    font-size: .8rem;
    letter-spacing: 1px;
  }
  
  .menu nav ul li a {
    display: block;
    font-family: 'Manjari', sans-serif;
    font-weight: 400;
    text-transform: uppercase;
  }

  .menu nav ul li:last-child {
    justify-content: flex-end;
  }
  
  .getapp {
    justify-self: flex-end;
  }

  .pagefooter{
    display: flex;
    justify-content: space-between;
    gap: 30px;
  }

  .pagefooter div{
    flex: 1;
  }

}

@media only screen and (min-width: 960px) {
  
  .slide-1 {
    flex: 0 0 20%; /* 33.33% of the container width for screens wider than 900px */
}
.slide-2 {
  flex: 0 0 20%; /* 50% of the container width for screens wider than 600px */
}

.slide-3 {
  flex: 0 0 20%; /* 50% of the container width for screens wider than 600px */
}

.slide-3 {
  flex: 0 0 30%; /* 50% of the container width for screens wider than 600px */
}

  #container{
    padding-left: 70px;
    padding-right: 70px;
  }
}